#include<bits/stdc++.h>
using namespace std;
int x,N,n[100002],r,a,b;
int main(){
cin>>N>>x;
for(int i=1;i<=N;i++){
    cin>>n[i];
}
sort(n+1,n+N+1);
if(x>=n[1]){
   if(x>=n[N]){
    r=x-n[1];
   }
   else{
    a=x-n[1]+n[N]-n[1];
    b=n[N]-x+n[N]-n[1];
    r=min(a,b);
   }
}
else{
    r=n[N]-x;
}
cout<<r<<endl;
    return 0;}